Summary
Gets references to a particular document.
Description
Gets references to a particular document.
Route
GET /automation-studio/references-to
Roles
admin
apiread
designer
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| queryParameters |
object |
yes |
Component group id. |
Copied to Clipboard
{
"queryParameters": {
"target-type": "sit dolor occaecat aliquip",
"target-identifiers": "in elit ut magna",
"referrer-type": "enim Lorem"
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"queryParameters": {
"title": "queryParameters",
"type": "object",
"description": "Options passed to the endpoint.",
"properties": {
"target-type": {
"type": "string",
"description": "Type of document to search for references to."
},
"target-identifiers": {
"type": "string",
"description": "IDs of the components to search for references to."
},
"referrer-type": {
"type": "string",
"description": "Type of documents to search for references in."
}
}
}
},
"required": [
"queryParameters"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| response |
object |
Response object. |
Copied to Clipboard
{
"referencesByTarget": [
{
"target": {
"identifer": "940a1b4f-399a-44df-a42e-d37da51c7637",
"type": "analytic-template"
},
"totalReferencingInstances": -17739562.32407534,
"totalReferences": 59494051.91103083,
"references": {
"type": "analytic-template",
"_id": "940a1b4f-399a-44df-a42e-d37da51c7637",
"name": "Lorem Ut amet",
"referencePaths": [
"ut sunt fugiat",
"in officia magna exercitation amet"
]
}
},
{
"target": {
"identifer": "940a1b4f-399a-44df-a42e-d37da51c7637",
"type": "template"
},
"totalReferencingInstances": 61865771.08746931,
"totalReferences": 57743179.68337056,
"references": {
"type": "workflow",
"_id": "940a1b4f-399a-44df-a42e-d37da51c7637",
"name": "Lorem",
"referencePaths": [
"nisi nostrud ullamco minim",
"id cupidatat ex Excepteur",
"et"
]
}
},
{
"target": {
"identifer": "940a1b4f-399a-44df-a42e-d37da51c7637",
"type": "form"
},
"totalReferencingInstances": -82747916.53996325,
"totalReferences": -89123297.43502948,
"references": {
"type": "analytic-template",
"_id": "5eb596edf955d0e5288f84ef",
"name": "labore occaecat",
"referencePaths": [
"laboris ipsum exercitation tempor in",
"dolor in Lorem sit",
"consectetur velit voluptate ea fugiat"
]
}
},
{
"target": {
"identifer": "940a1b4f-399a-44df-a42e-d37da51c7637",
"type": "json-form"
},
"totalReferencingInstances": 98716684.94280574,
"totalReferences": 69549413.16625103,
"references": {
"type": "template",
"_id": "5eb596edf955d0e5288f84ef",
"name": "laboris ullamco",
"referencePaths": [
"incididunt nisi velit dolor",
"minim aliqua consequat do Duis"
]
}
}
]
}
Copied to Clipboard
{
"title": "response",
"type": "object",
"properties": {
"referencesByTarget": {
"type": "array",
"items": {
"type": "object",
"properties": {
"target": {
"type": "object",
"properties": {
"identifer": {
"type": "string",
"examples": [
"940a1b4f-399a-44df-a42e-d37da51c7637",
"5eb596edf955d0e5288f84ef"
]
},
"type": {
"type": "string",
"enum": [
"workflow",
"json-form",
"transformation",
"template",
"command-template",
"analytic-template",
"form"
]
}
}
},
"totalReferencingInstances": {
"type": "number"
},
"totalReferences": {
"type": "number"
},
"references": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"workflow",
"json-form",
"transformation",
"template",
"command-template",
"analytic-template",
"form"
]
},
"_id": {
"type": "string",
"examples": [
"940a1b4f-399a-44df-a42e-d37da51c7637",
"5eb596edf955d0e5288f84ef"
]
},
"name": {
"type": "string"
},
"referencePaths": {
"type": "array",
"items": {
"type": "string"
}
}
}
}
}
}
}
}
}